Subject: bug#71556: GNOME Konsol crashes

From: Simon Josefsson <[email-masked]>
Date: Fri, 14 Jun 2024 18:34:15 +0200

Hi.

GNOME Konsol has crashed for me, bringing down all 10+ windows I had
open (and plenty of ongoing work halted...).  I've now seen this twice,
so I suppose it counts as reproducible, even though I don't know how to
trigger it.  I recall that it happened when I used the mouse to maybe
resize windows or switch workspace somehow.

This is guix v1.3.0-60008-g7e00fb9f31 with a fairly normal system
configuration [1] on a fairly ordinary amd64 desktop (MSI Z790P).
Syslog has these two crashes:

Jun 12 17:53:49 localhost vmunix: [244491.668326] .kgx-real[2161]: segfault at 29 ip 00007fd22dc31d6d sp 00007ffed19f0630 error 6 in crocus_dri.so[7fd22da94000+165b000] likely on CPU 10 (core 20, socket 0)
Jun 12 17:53:49 localhost vmunix: [244491.668348] Code: c0 75 42 48 8b 93 08 1a 00 00 48 8d 8b 08 1a 00 00 49 8d 44 24 08 66 48 0f 6e c9 66 48 0f 6e c2 66 0f 6c c1 41 0f 11 44 24 08 <48> 89 42 08 48 89 83 08 1a 00 00 f0 83 6d 00 01 75 31 5b 5d 41 5c

Jun 13 20:45:36 localhost vmunix: [96351.516581] .kgx-real[2371]: segfault at 8 ip 00007f34fc831d6d sp 00007ffe27647ae0 error 6 in crocus_dri.so[7f34fc694000+165b000] likely on CPU 30 (core 46, socket 0)
Jun 13 20:45:36 localhost vmunix: [96351.516595] Code: c0 75 42 48 8b 93 08 1a 00 00 48 8d 8b 08 1a 00 00 49 8d 44 24 08 66 48 0f 6e c9 66 48 0f 6e c2 66 0f 6c c1 41 0f 11 44 24 08 <48> 89 42 08 48 89 83 08 1a 00 00 f0 83 6d 00 01 75 31 5b 5d 41 5c

Anyone else seeing this?  I know it is hard to debug based on this
information...

/Simon

[1] https://gitlab.com/jas/sjd-cosmos/-/blob/master/yeti.sjd.se/config.scm